package com.clx.performance.extranal.user;

import com.clx.order.vo.feign.FeignAddressVO;
import com.clx.order.vo.feign.SystemAddressVO;
import com.msl.common.base.Optional;

public interface AddressService {

    Optional<FeignAddressVO> getSendAndReceiveAddress(Integer sendAddressId, Integer receiveAddressId);

    Optional<SystemAddressVO> getSystemAddress(Integer addressId);


    String generateAddressDetail(String ... args);



}
